免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 3146 | 回复: 1

用CPAN如何安装特定版本的包 [复制链接]

论坛徽章:
0
发表于 2012-09-18 15:39 |显示全部楼层
安装XML::Simple时
cpan> install XML::Simple
提示:
  CPAN.pm: Going to build G/GR/GRANTM/XML-Simple-2.20.tar.gz

ExtUtils::MakeMaker version 6.31 required--this is only version 6.30 at Makefile.PL line 7.
BEGIN failed--compilation aborted at Makefile.PL line 7.
Running make test
  Make had some problems, maybe interrupted? Won't test
Running make install
  Make had some problems, maybe interrupted? Won't install
Use of chdir('') or chdir(undef) as chdir() is deprecated at /usr/lib/perl5/5.8.8/CPAN.pm line 203.

由于系统要求不能改变MakeMaker version 6.31, 所以想找个低版本的XML-Simple,
请问如何指定或者选择不同的version?

P.S
在这个link上有好多不同的version包
ftp://ftp.cpan.org/pub/CPAN/authors/id/G/GR/GRANTM

论坛徽章:
0
发表于 2012-09-18 16:44 |显示全部楼层
找到一种解决办法
cpan> i XML::Simple
Strange distribution name [XML::Simple]
Module id = XML::Simple
    DESCRIPTION  Easy API to maintain XML (esp config files)
    CPAN_USERID  GRANTM (Grant McLean <grantm@cpan.org>)
    CPAN_VERSION 2.20
    CPAN_FILE    G/GR/GRANTM/XML-Simple-2.20.tar.gz             <<< check this line
    DSLI_STATUS  Rdph (released,developer,perl,hybrid)
    MANPAGE      XML::Simple - Easily read/write XML (esp config files)
    INST_FILE    (not installed)

Use of chdir('') or chdir(undef) as chdir() is deprecated at /usr/lib/perl5/5.8.8/CPAN.pm line 203.

cpan> install G/GR/GRANTM/XML-Simple-2.18.tar.gz
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122 niuxiaotong@pcpop.com 17352615567
未成年举报专区
中国互联网协会会员  联系我们:huangweiwei@itpub.net
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP